package com.njzscloud.common.cache;

import java.util.function.Supplier;

public interface Cache {
    <T> T get(String key);

    <T> T get(String key, Supplier<T> supplier);

    <T> T get(String key, long timeout, Supplier<T> supplier);

    void put(String key, Object value, long timeout);

    void put(String key, Object value);

    void remove(String key);
}
